# Function transform_for_async

- transform_for_async(expression, statefuns): {
  expr_string: string;
  isAsync: boolean;
  }

- #### Parameters

  - ##### expression: string

  - ##### statefuns: Record<string, PluginFunction>

  #### Returns {
  expr_string: string;
  isAsync: boolean;
  }

  - ##### expr_string: string

  - ##### isAsync: boolean

  - Defined in saltcorn-data/models/expression.ts:542

Generated using TypeDoc